DROP TABLE IF EXISTS `bbresstat`;

CREATE TABLE `bbresstat` (
	`sport_code` TEXT NOT NULL,
	`sport_gendatetime` TEXT NOT NULL,
	`sport_sportln` TEXT NOT NULL,
	`event_enddate` INT NOT NULL,
	`event_eventcod` INT NOT NULL,
	`event_eventdesc` TEXT NOT NULL,
	`event_sex` TEXT NOT NULL,
	`event_startdate` INT NOT NULL,
	`event_statuscod` INT NOT NULL,
	`event_statusln` TEXT NOT NULL,
	`phase_phasecode` INT NOT NULL,
	`phase_phaseld` TEXT NOT NULL,
	`phase_phaseorder` INT NOT NULL,
	`phase_pool` INT NOT NULL,
	`evunit_date` INT NOT NULL,
	`evunit_evunitcode` INT NOT NULL,
	`evunit_evunitdesc` TEXT NOT NULL,
	`evunit_statuscod` INT NOT NULL,
	`evunit_statusln` TEXT NOT NULL,
	`evunit_time` TEXT NOT NULL,
	`evunit_venueld` TEXT NOT NULL,
	`evunitinfobb_attendance` INT NOT NULL,
	`evunitinfobb_conditions` TEXT NOT NULL,
	`evunitinfobb_court` INT NOT NULL,
	`evunitinfobb_group` TEXT NOT NULL,
	`evunitinfobb_humidity` INT NOT NULL,
	`evunitinfobb_is_forfeit` INT NOT NULL,
	`evunitinfobb_match` INT NOT NULL,
	`evunitinfobb_matchtime` TEXT NOT NULL,
	`evunitinfobb_n_innings_played` INT NOT NULL,
	`evunitinfobb_n_score_inningsa` INT NOT NULL,
	`evunitinfobb_n_score_inningsb` INT NOT NULL,
	`evunitinfobb_score_inningsa` TEXT NOT NULL,
	`evunitinfobb_score_inningsb` TEXT NOT NULL,
	`evunitinfobb_scorea` INT NOT NULL,
	`evunitinfobb_scoreb` INT NOT NULL,
	`evunitinfobb_temperature` INT NOT NULL,
	`evunitinfobb_winner` INT NOT NULL,
	`contender_order` INT NOT NULL,
	`team_ctrycod` TEXT NOT NULL,
	`team_ctryln` TEXT NOT NULL,
	`team_ctrysn` INT NOT NULL,
	`team_ln` TEXT NOT NULL,
	`team_register` INT NOT NULL,
	`team_sexcod` TEXT NOT NULL,
	`team_sn` TEXT NOT NULL,
	`team_typeln` TEXT NOT NULL,
	`teamevunitstatstotalbb_statsld` TEXT NOT NULL,
	`teamevunitstatstotalbb_total_a` INT NOT NULL,
	`teamevunitstatstotalbb_total_ab` INT NOT NULL,
	`teamevunitstatstotalbb_total_bb` INT NOT NULL,
	`teamevunitstatstotalbb_total_errors` INT NOT NULL,
	`teamevunitstatstotalbb_total_hits` INT NOT NULL,
	`teamevunitstatstotalbb_total_lob` INT NOT NULL,
	`teamevunitstatstotalbb_total_po` INT NOT NULL,
	`teamevunitstatstotalbb_total_rbi` INT NOT NULL,
	`teamevunitstatstotalbb_total_so` INT NOT NULL,
	`teamevunitstatspitchersbb_statsld` TEXT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_bb` INT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_bk` INT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_er` INT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_h` INT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_hr` INT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_ip` INT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_r` INT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_so` INT NOT NULL,
	`teamevunitstatspitchersbb_total_pitchers_wp` INT NOT NULL,
	`person_birthdate` INT NOT NULL,
	`person_ctrycod` TEXT NOT NULL,
	`person_ctryln` TEXT NOT NULL,
	`person_ctrysn` INT NOT NULL,
	`person_heightcm` INT NOT NULL,
	`person_ln` TEXT NOT NULL,
	`person_register` INT NOT NULL,
	`person_sexcod` TEXT NOT NULL,
	`person_sn` TEXT NOT NULL,
	`person_typeln` TEXT NOT NULL,
	`person_weightgr` INT NOT NULL,
	`personevunitinfoso_bib` TEXT NOT NULL,
	`personevunitinfoso_functionld` TEXT NOT NULL,
	`personevunitinfoso_functionsd` TEXT NOT NULL,
	`personevunitinfoso_order` INT NOT NULL,
	`personevunitinfoso_positionld` TEXT NOT NULL,
	`personevunitinfoso_starting` INT NOT NULL,
	`personevunitstatstotalbb_a` INT NOT NULL,
	`personevunitstatstotalbb_ab` INT NOT NULL,
	`personevunitstatstotalbb_bb` INT NOT NULL,
	`personevunitstatstotalbb_e` INT NOT NULL,
	`personevunitstatstotalbb_h` INT NOT NULL,
	`personevunitstatstotalbb_order` INT NOT NULL,
	`personevunitstatstotalbb_po` INT NOT NULL,
	`personevunitstatstotalbb_r` INT NOT NULL,
	`personevunitstatstotalbb_rbi` INT NOT NULL,
	`personevunitstatstotalbb_so` INT NOT NULL,
	`personevunitstatstotalbb_statsld` TEXT NOT NULL,
	`personevunitstatspitchersbb_bk` INT NOT NULL,
	`personevunitstatspitchersbb_er` INT NOT NULL,
	`personevunitstatspitchersbb_hr` INT NOT NULL,
	`personevunitstatspitchersbb_ip` TEXT NOT NULL,
	`personevunitstatspitchersbb_order` INT NOT NULL,
	`personevunitstatspitchersbb_pitching_bb` INT NOT NULL,
	`personevunitstatspitchersbb_pitching_decision` TEXT NOT NULL,
	`personevunitstatspitchersbb_pitching_h` INT NOT NULL,
	`personevunitstatspitchersbb_pitching_r` INT NOT NULL,
	`personevunitstatspitchersbb_pitching_so` INT NOT NULL,
	`personevunitstatspitchersbb_pitching_wls` TEXT NOT NULL,
	`personevunitstatspitchersbb_statsld` TEXT NOT NULL,
	`personevunitstatspitchersbb_wp` INT NOT NULL
) ENGINE = MYISAM ;

